Subject: [xmpp] 6122bis: codepoint width

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 19 Mar 2012 14:12:11 -0600

Currently, 6122bis is silent on the handling of full-width and
half-width codepoints (these are common in certain Asian scripts),
specifically on the mapping of such codepoints to their decomposition
mappings. This might be an issue that we can handle at the PRECIS
level, not the level of applications (like XMPP) that use PRECIS, and
in fact it is discussed in this proposal:

https://datatracker.ietf.org/doc/draft-yoneya-precis-mappings/

This WG needs to decide if it is comfortable with letting the PRECIS
WG define the rules here, which we would simply re-use for XMPP.

Peter

- -- 
Peter Saint-Andre
https://stpeter.im/